Bug 885489 - 3.2 Error deleting VM disk
3.2 Error deleting VM disk
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Yeela Kaplan
: ZStream
: 885794 890826 891068 (view as bug list)
Depends On:
Blocks: 891052 891053 891054 891068
  Show dependency treegraph
Reported: 2012-12-09 15:04 EST by Ian Pilcher
Modified: 2016-02-10 14:43 EST (History)
21 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-7.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 891052 891053 891054 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/ovirt-engine/engine.log (from RHEV manager) (4.98 MB, text/plain)
2012-12-09 15:05 EST, Ian Pilcher
no flags Details
/var/log/vdsm/vdsm.log (from hypervisor 1 of 2) (4.49 MB, text/plain)
2012-12-09 15:05 EST, Ian Pilcher
no flags Details
/var/log/vdsm/vdsm.log (from hypervisor 2 of 2) (6.42 MB, text/plain)
2012-12-09 15:06 EST, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2012-12-09 15:04:13 EST
Description of problem:
Attempted to remove powered-off VM.  Manger reports "Failed to remove VM <name>."

The logical volume containing the actual disk image (/dev/c294c8b1-b2e7-4564-bbb2-2d6c1f54b895/38c6b100-31f8-4914-a760-eb1c5e15cce4) *has* been removed, but the disk still shows up in the manager.

Version-Release number of selected component (if applicable):

How reproducible:
Not 100%, but this is the second time I have seen this problem.

Steps to Reproduce:
1.  Create VM with at least one disk.
2.  Run VM fora while?
3.  Attempt to remove VM.
Actual results:
See description

Expected results:
VM (and disk) should be deleted.

Additional info:
Comment 1 Ian Pilcher 2012-12-09 15:05:03 EST
Created attachment 660406 [details]
/var/log/ovirt-engine/engine.log (from RHEV manager)
Comment 2 Ian Pilcher 2012-12-09 15:05:54 EST
Created attachment 660407 [details]
/var/log/vdsm/vdsm.log (from hypervisor 1 of 2)
Comment 3 Ian Pilcher 2012-12-09 15:06:56 EST
Created attachment 660408 [details]
/var/log/vdsm/vdsm.log (from hypervisor 2 of 2)
Comment 4 Yeela Kaplan 2012-12-17 07:37:25 EST
This bug might be a duplicate of a bug I've opened that requires a fix in vdsm - 
lease files are not removed when removing volumes in file SDs v3: 


It is not certain because there's a minor problem with the logging that Eduardo is currently fixing.

Anyway, what probably happens is that the image directory is not empty because of failed previous deletion of a volume(probably remaining lease file) and now the directory is not empty and can't be removed.
Comment 5 Eduardo Warszawski 2012-12-17 07:46:43 EST
The log fix:

Change-Id: I951e582acc86e08d709da4249084015660fc4ea0
Comment 6 Maor 2012-12-17 09:02:35 EST
I assume from the log, that engine side worked as suspected (VM was able to start after the remove failed).
Since the exception of deletion was generated from VDSM, moving the bug to VDSM component.
Comment 7 Maor 2012-12-17 09:06:30 EST
Please close as duplicate or move to ON_QA, if you think that the change-id is already fixing it
Comment 9 Ayal Baron 2012-12-19 05:18:33 EST
Yeela, is this a duplicate? iirc in the end you said that the code paths are different because in your use case we don't reach the faulty logging line?
Comment 11 Haim 2012-12-26 07:40:21 EST
*** Bug 885794 has been marked as a duplicate of this bug. ***
Comment 13 Ayal Baron 2012-12-30 14:37:46 EST
Change-Id: I951e582acc86e08d709da4249084015660fc4ea0
Comment 14 Ayal Baron 2012-12-31 07:27:48 EST
*** Bug 890826 has been marked as a duplicate of this bug. ***
Comment 16 Yeela Kaplan 2013-01-01 09:31:04 EST
*** Bug 891068 has been marked as a duplicate of this bug. ***
Comment 19 Leonid Natapov 2013-02-13 06:41:11 EST
vdsm-4.10.2-7.0. was unable to reproduce with several VMs ,several disk types.
VMs with the disks were successfully deleted.
Comment 21 Itamar Heim 2013-06-11 05:35:56 EDT
3.2 has been released
Comment 22 Itamar Heim 2013-06-11 05:35:57 EDT
3.2 has been released
Comment 23 Itamar Heim 2013-06-11 05:51:07 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.